claw::pattern::non_copyable Class Reference

Inherit from this class to forbid construction of your class by copy. More...

`#include <non_copyable.hpp>`

Inheritance diagram for claw::pattern::non_copyable:

## Public Member Functions

| non_copyable ()
| Default constructor.

## Detailed Description

Inherit from this class to forbid construction of your class by copy.

Author
  Julien Jorge

Definition at line 42 of file non_copyable.hpp.

## Constructor & Destructor Documentation

## non_copyable()

claw::pattern::non_copyable::non_copyable | ( |  | ) |

inline

Default constructor.

Definition at line 46 of file non_copyable.hpp.

The documentation for this class was generated from the following file:

- non_copyable.hpp